PHP Manual
Prev |  | Next

# runkit_function_rename

(PECL)

runkit_function_rename -- Change a function's name

## Description

bool runkit_function_rename ( string funcname, string newname )

> Note: By default, only userspace functions may be removed, renamed, or modified. In order to override internal functions, you must enable the `runkit.internal_override` setting in the system-wide php.ini file.

## Parameters

`funcname`

  Current function name

`newname`

  New function name

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

runkit_function_add()
runkit_function_copy()
runkit_function_redefine()
runkit_function_remove()

Prev | Home | Next
runkit_function_remove | Up | runkit_import